Bug 8663 - Circulation rules hard due date calendar wrong format
Summary: Circulation rules hard due date calendar wrong format
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.8
Hardware: All All
: P3 normal (vote)
Assignee: Maxime Pelletier
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-21 19:43 UTC by Maxime Pelletier
Modified: 2013-12-05 19:59 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch to fix (2.06 KB, patch)
2012-08-21 19:45 UTC, Maxime Pelletier
Details | Diff | Splinter Review
[3.8.x] [SIGNED-OFF] Bug 8663 Fix the use of hardcoded date format for the calendar widget of hard due date (2.28 KB, patch)
2012-08-21 20:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Maxime Pelletier 2012-08-21 19:43:11 UTC
On my install the format has to be "YYYY-MM-DD". The calendar widget outputs a date in the "MM/DD/YYYY" format. Patch to follow to make it use the right date format of your install.

I know master uses a new calendar widget, but hardduedate won't work at all if the date format isn't the right one, so I figured it was a bug important enough to a patch for 3.8.
Comment 1 Maxime Pelletier 2012-08-21 19:45:16 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2012-08-21 20:53:24 UTC
Created attachment 11728 [details] [review]
[3.8.x] [SIGNED-OFF] Bug 8663 Fix the use of hardcoded date format for the calendar widget of hard due date

Sponsored by the CCSR

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Created circulation rules with different dateformat settings and hardduedate settings.
After applying the patch the calendar produces the correct fomats and rules are saved correctly.
Checking out an item to the hardduedate set works too.
Comment 3 Katrin Fischer 2012-08-21 20:57:28 UTC
Fixes a bug with the old calendar widget - applies to 3.8.x and probably also to 3.6.x.
Comment 4 Jonathan Druart 2012-08-22 08:47:50 UTC
QA Comments:

Format a date on the smart-rules page according to the dateformat syspref.
Patch for branches < 3.10

Marked as Passed QA.
Comment 5 Paul Poulain 2012-08-29 15:49:55 UTC
The patch does not apply anymore, (I think due to bug 8181)
Comment 6 Maxime Pelletier 2012-08-29 17:12:44 UTC
(In reply to comment #5)
> The patch does not apply anymore, (I think due to bug 8181)

That's why it's for < 3.10
Comment 7 Katrin Fischer 2012-08-29 18:10:06 UTC
Hi Paul, as Maxime pointed out, this is a patch for 3.8 - because that is still using the old calendar widget. I tested it on a 3.8 installation successfully when signing off.
Comment 8 Chris Cormack 2012-08-29 22:23:52 UTC
Pushed to 3.8.x will be in 3.8.5